# all files / ol/format/filter/ bbox.js

100% Statements 9/9
100% Branches 0/0
100% Functions 1/1
100% Lines 9/9

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    431×

    1×
    1×

    1×

    2×

    2×

    2×

    2×

    1×
     goog.provide('ol.format.filter.Bbox');

    goog.require('ol');
    goog.require('ol.format.filter.Filter');

    /**
     * @classdesc
     * Represents a `<BBOX>` operator to test whether a geometry-valued property
     * intersects a fixed bounding box
     *
     * @constructor
     * @param {!string} geometryName Geometry name to use.
     * @param {!ol.Extent} extent Extent.
     * @param {string=} opt_srsName SRS name. No srsName attribute will be
     *    set on geometries when this is not provided.
     * @extends {ol.format.filter.Filter}
     * @api
     */
    ol.format.filter.Bbox = function(geometryName, extent, opt_srsName) {

      ol.format.filter.Filter.call(this, 'BBOX');

      /**
       * @public
       * @type {!string}
       */
      this.geometryName = geometryName;

      /**
       * @public
       * @type {ol.Extent}
       */
      this.extent = extent;

      /**
       * @public
       * @type {string|undefined}
       */
      this.srsName = opt_srsName;
    };
    ol.inherits(ol.format.filter.Bbox, ol.format.filter.Filter);